Subject: iwl rfkill suddenly dropped to hard block

From: Evgeniy Polyakov <[email-masked]>
Date: Wed, 15 Dec 2010 22:56:52 +0300

Hi.

Yesterday the latest git kernel (as of 2 days pull + i915 drm fixes
tree) decided to turn my iwl agn adapter off.
rfkill says it is hard blocked. It worked pretty well for the last
several days for sure, but there was a suspend/wakeup (unsuccessful
because i915 did not flash the display).

With 2.6.33 kernel it worked for months (although without sound).
Other (newer) stock kernels from FC13 do not turn on LCD.

My tree is at 63abf3eda, which likely comes from drm-fixes or
drm-staging kernel tree, but it is just 2 or 3 commits ahead of vanilla
HEAD, but the same happens with 2.6.33.3-85 kernel from FC13.

Attached full dmesg with iwlagn debug=127 and lspci -vvv -H1

Thank you.

-- 
	Evgeniy Polyakov